Subject: bug#60740: [PATCH 0/2] emoji changes

From: Jonas Bernoulli <[email-masked]>
Date: Sun, 05 Feb 2023 17:29:12 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Sun, 05 Feb 2023 15:40:48 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> > My suggestion is for now to install the first patch on emacs-29 and
>> > the second one on master.
>> 
>> I've installed the first
>
> This apparently leads to

I looked at the log to prevent that, but I think I just redirected
stdout and forgot about stderr.  Byte-compiler warnings go to stderr,
right?

>     ELC      ../lisp/isearch.elc
>
>   In end of data:
>   isearch.el:2785:40: Warning: the function `emoji--read-emoji' is not
>   known to be defined.

What's the usual way of dealing with this in Emacs itself?  I wasn't
sure using an autoload would work here, and was going to use another
approach if this resulted in a warning.  Unfortunately I missed the
warning.  Should I use 'declare-function' instead and require 'emoji'
inside 'isearch-emoji-by-name'?

>     ELC      international/emoji.elc
>
>   In emoji--choose-emoji:
>   international/emoji.el:688:37: Warning: Unused lexical variable
>   `emoji--read-emoji'

Yikes.